Chuyển đến nội dung
Diễn đàn CADViet

lp_hai

Thành viên
  • Số lượng nội dung

    487
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    8

Cộng đồng

215 (khá)

About lp_hai

  • Cấp bậc
    biết lệnh Xplode

Phương pháp liên hệ

  • ICQ
    0
  • Yahoo
    lp_hai

Thông tin hồ sơ

  • Giới tính
    Male
  • Vị trí
    ở phím space

Khách truy cập Tiểu sử gần đây

8.000 chế độ xem tiểu sử
  1. Thay thế BLOCK trong hàng loạt bản vẽ.

    Mình không biết do bạn lười hay yêu cầu cao quá. Cái này mình nghĩ bên VBA có thể làm được. Mà cho dùng bạn có automation đến đâu cũng phải mở từng bản vẽ lên mà kiểm tra lại. Chứ chả ai dám ngồi bấm nút xong là gửi bản vẽ đâu bạn ơi :)
  2. Lỗi khi dùng lệnh MLEADER

    Hỏng gì bạn, như hình mình mirror vẫn ngon lành đó thôi mà
  3. Lỗi xuất file Cad ra PDF ảnh bị mờ

    bạn kiểm tra chỗ này thử xem, có thể là do chọn chất lượng in ra thấp
  4. Block Dynamic

    bạn phải tạo tổng cộng 4 parameter strech, cái đầu tiên có giá trị strech là 0.25, cái thứ 2 là 0.5, cái thứ 3 là 0.75 và cái tổng =1....bạn xem thử block mình tạo nhé new block.dwg
  5. Lỗi khi dùng lệnh MLEADER

    Không phải khác version, mà của mình dùng text, của bạn dùng block. Mình cũng thử tạo block, chỉ có thể mirror để được như ý của bạn thôi :)
  6. hàm trim trong lisp?

    Thì mình đâu có nói chọn đối tượng ename dùng cho lệnh gì, mình chỉ nói chung là sữ dụng trong lisp :) chứ trong lisp mà bạn dùng chọn window hay fence 1 cách tự viết code cho lisp chọn thì thật nguy hiểm, vì bạn không kiểm soát được nó quét qua những đối tượng nào
  7. Lisp đo khoảng cách 3 tâm đường tròn

    Mình thấy cái vấn đề cơ bản mà bạn cần làm trong trường hợp này là biết xoay ucs theo phương đường màu vàng, rồi dim bình thường. Nó có thể giúp bạn xử lý trong những trường hợp khác
  8. hàm trim trong lisp?

    Trong lisp nếu bạn dùng lệnh Trim, và sữ dụng Fence hoặc Crossing để chọn đối tượng thì thật nguy hiểm, vì nó có thể cắt qua những đối tượng có sẵn trong bản vẽ của bạn?! Vì vậy trong lisp thì ưu tiên xử lý đối tượng bằng cách gọi đúng tên của nó (ename), hoặc select bằng tay (pick chọn...) để tránh lisp chọn nhầm
  9. ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (defun c:test(/ dt sdt ent id) (setq dt (ssget '((-4 . "<OR") (0 . "TEXT") (0 . "MTEXT") (-4 . "OR>") )) sdt (sslength dt) id 0 ) (repeat sdt (setq ent (ssname dt id) id (1+ id)) (a2t ent) (entdel ent) ) (princ) ) ;;;;;;;;;;;;;;;;;;;;; (defun a2t(ent / lts lts2) (setq lts (entget ent)) (if (= (cdr (assoc 0 lts)) "MTEXT") (setq lts2 (list (assoc 0 lts)(assoc 5 lts)(assoc 8 lts)(CONS 100 "AcDbEntity")(CONS 100 "AcDbMText") (assoc 10 lts) (assoc 40 lts)(assoc 41 lts) (assoc 71 lts)(assoc 72 lts)(assoc 1 lts) (assoc 7 lts) (assoc 210 lts) (assoc 11 lts)(assoc 42 lts)(assoc 43 lts)(assoc 50 lts)(assoc 73 lts)(assoc 44 lts))) (setq lts2 (list (assoc 0 lts)(assoc 40 lts) (assoc 8 lts) (assoc 10 lts) (assoc 1 lts) (assoc 7 lts))) ) (entmakex lts2) ) Với Att bạn dùng lệnh Burst, với text thì mình viết cho bạn 1 lisp, bạn quét chọn các text, có thể quét thoải mái không cần phải lựa có field hay không nhé ::
  10. lisp dùng lệnh hatch!

    Vẽ Pline kín thì điểm cuối cùng nên đánh chữ "C" (close) bạn đừng chọn lại điểm đầu, VD: (command "pline" p d1 d2 p "") >>> (command "pline" p d1 d2 "c") cái này mình thấy rất nhiều người dùng không để ý, nhưng nó cực kỳ quan trọng khi chỉnh sữa đối tượng pline kín hay hở, nhất là liên quan đến hatch :)
  11. hàm trim trong lisp?

    Nếu nhập lệnh tại break tại dòng command thì cad hiểu vị trí chọn đối tượng là First point, nên phải đánh "f" để chọn lại, còn trong lisp ta chọn bằng ename nên nó không hiểu First point, nên không cần f :D hay thì có hay, nhưng mình không biết là bạn hỏi cái vụ Trim hay Break để ứng dụng vào lisp khác hay để hiểu cách nó làm việc?? Chứ nếu nó chỉ đơn giản là như lisp của bạn thì sao mình không chỉ vẽ 1 line từ p đến d1 thôi? làm sao phải vẽ đến d4 rồi lại cắt bỏ nó?
  12. hàm trim trong lisp?

    Ngu kiến của mình sao chủ thớt không dùng Break thay dim trong trường hợp này nhỉ? đỡ tốn công hơn nhiều: không cần set tm2: (setq tm2 (entlast)) (command "trim" tm2 "" (ssget "c" d4 d3) "") >>>(command "Break" tm1 d1 d4)
  13. Lỗi khi dùng lệnh MLEADER

    bạn phải chụp cái bản setting của bạn lên đây, mọi người xem mới biết cần sửa chổ nào, như của mình thường tick thế này, có thể do bạn tick vào ô always left justify
  14. Paste Block thì vị trí Block ở rất xa.

    Theo mình các bạn khi copy thay vì nhấn Ctrl+C thì hãy nhấn Ctrl+Shift+C, mất công thêm 1 bước là chọn điểm, nhưng sẽ rất tiện quản lý nó khi Paste
×